Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

upgrade ruby1.8 test suite

  • Loading branch information...
commit 45dc5122b6ae25ae274605cdfb4f7909fbd2bc8c 1 parent aebcce4
@hsbt hsbt authored
View
10 Gemfile
@@ -53,13 +53,9 @@ group :development do
gem 'sequel'
gem 'sqlite3'
gem 'jasmine'
-
- gem 'rcov', :platforms => :mri_18
- if RUBY_VERSION > '1.9' # bundler did't provide :mri_20 platform
- gem 'simplecov', :require => false
- gem 'simplecov-rcov', :require => false
- gem 'coveralls', :require => false
- end
+ gem 'simplecov', :require => false
+ gem 'simplecov-rcov', :require => false
+ gem 'coveralls', :require => false
gem 'ci_reporter'
end
end
View
2  Gemfile.lock
@@ -105,7 +105,6 @@ GEM
rack (>= 1.0)
rack-test (>= 0.5)
rake (10.0.3)
- rcov (1.0.0)
redcarpet (2.2.2)
rest-client (1.6.7)
mime-types (>= 1.16)
@@ -179,7 +178,6 @@ DEPENDENCIES
rack
racksh
rake
- rcov
redcarpet
rspec
rvm-capistrano
View
6 misc/gemfiles/ruby18.gemfile
@@ -1,4 +1,4 @@
-source :rubygems
+source 'https://rubygems.org'
gem 'rake'
@@ -25,6 +25,6 @@ group :development, :test do
gem 'sqlite3'
gem 'rcov'
gem 'ci_reporter'
- gem 'json' # broken jasmine-1.3.0 dependency
- gem 'jasmine', '1.3.0'
+ gem 'json' # broken jasmine-1.3.x dependency with ruby1.8
+ gem 'jasmine'
end
View
104 misc/gemfiles/ruby18.gemfile.lock
@@ -1,11 +1,8 @@
GEM
- remote: http://rubygems.org/
+ remote: https://rubygems.org/
specs:
- activesupport (3.2.11)
- i18n (~> 0.6)
- multi_json (~> 1.0)
- addressable (2.3.2)
- builder (3.1.4)
+ addressable (2.3.3)
+ builder (3.2.0)
capybara (1.1.4)
mime-types (>= 1.16)
nokogiri (>= 1.3.3)
@@ -13,55 +10,51 @@ GEM
rack-test (>= 0.5.4)
selenium-webdriver (~> 2.0)
xpath (~> 0.1.4)
- childprocess (0.3.6)
- ffi (~> 1.0, >= 1.0.6)
- ci_reporter (1.8.3)
+ childprocess (0.3.9)
+ ffi (~> 1.0, >= 1.0.11)
+ ci_reporter (1.8.4)
builder (>= 2.1.2)
- coderay (1.0.8)
+ coderay (1.0.9)
coffee-script (2.2.0)
coffee-script-source
execjs
- coffee-script-source (1.4.0)
- diff-lcs (1.1.3)
+ coffee-script-source (1.6.1)
+ diff-lcs (1.2.1)
execjs (1.4.0)
multi_json (~> 1.0)
- faraday (0.8.4)
+ faraday (0.8.6)
multipart-post (~> 1.1)
- ffi (1.3.1)
+ ffi (1.4.0)
hashie (1.2.0)
hike (1.2.1)
httpauth (0.2.0)
- i18n (0.6.1)
- jasmine (1.3.0)
- jasmine-core (>= 1.3.0)
+ jasmine (1.3.2)
+ jasmine-core (~> 1.3.1)
rack (~> 1.0)
rspec (>= 1.3.1)
selenium-webdriver (>= 0.1.3)
jasmine-core (1.3.1)
- json (1.7.6)
- jwt (0.1.5)
- multi_json (>= 1.0)
- launchy (2.1.2)
+ json (1.7.7)
+ jwt (0.1.8)
+ multi_json (>= 1.5)
+ launchy (2.2.0)
addressable (~> 2.3)
- libwebsocket (0.1.7.1)
- addressable
- websocket
method_source (0.8.1)
- mime-types (1.19)
- multi_json (1.5.0)
- multipart-post (1.1.5)
- nokogiri (1.5.6)
+ mime-types (1.21)
+ multi_json (1.7.1)
+ multipart-post (1.2.0)
+ nokogiri (1.5.7)
oauth (0.4.7)
- oauth2 (0.8.0)
+ oauth2 (0.8.1)
faraday (~> 0.8)
httpauth (~> 0.1)
jwt (~> 0.1.4)
multi_json (~> 1.0)
rack (~> 1.2)
- omniauth (1.1.1)
+ omniauth (1.1.3)
hashie (~> 1.2)
rack
- omniauth-github (1.0.3)
+ omniauth-github (1.1.0)
omniauth (~> 1.0)
omniauth-oauth2 (~> 1.1)
omniauth-oauth (1.0.1)
@@ -74,36 +67,36 @@ GEM
multi_json (~> 1.3)
omniauth-oauth (~> 1.0)
posix-spawn (0.3.6)
- pry (0.9.11.2)
+ pry (0.9.12)
coderay (~> 1.0.5)
method_source (~> 0.8)
slop (~> 3.4)
- pygments.rb (0.3.7)
+ pygments.rb (0.4.2)
posix-spawn (~> 0.3.6)
yajl-ruby (~> 1.1.0)
- rack (1.4.4)
+ rack (1.5.2)
rack-test (0.6.2)
rack (>= 1.0)
rake (10.0.3)
rcov (1.0.0)
redcarpet (2.2.2)
- rspec (2.12.0)
- rspec-core (~> 2.12.0)
- rspec-expectations (~> 2.12.0)
- rspec-mocks (~> 2.12.0)
- rspec-core (2.12.2)
- rspec-expectations (2.12.1)
- diff-lcs (~> 1.1.3)
- rspec-mocks (2.12.1)
+ rspec (2.13.0)
+ rspec-core (~> 2.13.0)
+ rspec-expectations (~> 2.13.0)
+ rspec-mocks (~> 2.13.0)
+ rspec-core (2.13.1)
+ rspec-expectations (2.13.0)
+ diff-lcs (>= 1.1.3, < 2.0)
+ rspec-mocks (2.13.0)
rubyzip (0.9.9)
- selenium-webdriver (2.27.2)
+ selenium-webdriver (2.31.0)
childprocess (>= 0.2.5)
- libwebsocket (~> 0.1.3)
multi_json (~> 1.0)
rubyzip
- sequel (3.43.0)
- slop (3.4.3)
- sprockets (2.8.2)
+ websocket (~> 1.0.4)
+ sequel (3.45.0)
+ slop (3.4.4)
+ sprockets (2.9.0)
hike (~> 1.2)
multi_json (~> 1.0)
rack (~> 1.0)
@@ -111,12 +104,15 @@ GEM
sqlite3 (1.3.7)
tapp (1.4.0)
thor
- test-unit (2.5.3)
- thor (0.16.0)
- tilt (1.3.3)
- twitter-text (1.5.0)
- activesupport
- websocket (1.0.6)
+ test-unit (2.5.4)
+ thor (0.17.0)
+ tilt (1.3.6)
+ twitter-text (1.6.1)
+ unf (~> 0.0.5)
+ unf (0.0.5)
+ unf_ext
+ unf_ext (0.0.6)
+ websocket (1.0.7)
xpath (0.1.4)
nokogiri (~> 1.3)
yajl-ruby (1.1.0)
@@ -129,7 +125,7 @@ DEPENDENCIES
ci_reporter
coffee-script
ffi
- jasmine (= 1.3.0)
+ jasmine
json
launchy
omniauth
View
2  test/test_helper.rb
@@ -7,7 +7,7 @@
require 'test/unit'
-unless defined?(RCov)
+if RUBY_VERSION > '1.9'
require 'coveralls'
Coveralls.wear!
end
Please sign in to comment.
Something went wrong with that request. Please try again.